Skip to main content
POST
/
merchant
/
user
/
update
Update User Profile
curl --request POST \
  --url https://api.unibee.dev/merchant/user/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "LinkedIn": "<string>",
  "address": "<string>",
  "city": "<string>",
  "companyName": "<string>",
  "countryCode": "<string>",
  "countryName": "<string>",
  "email": "<string>",
  "externalUserId": "<string>",
  "facebook": "<string>",
  "firstName": "<string>",
  "gatewayId": 123,
  "gatewayPaymentType": "<string>",
  "language": "<string>",
  "lastName": "<string>",
  "metadata": {},
  "otherSocialInfo": "<string>",
  "paymentMethodId": "<string>",
  "phone": "<string>",
  "registrationNumber": "<string>",
  "state": "<string>",
  "telegram": "<string>",
  "tiktok": "<string>",
  "type": 123,
  "userId": 123,
  "vATNumber": "<string>",
  "weChat": "<string>",
  "whatsApp": "<string>",
  "zipCode": "<string>"
}
'
{
  "code": 123,
  "data": {
    "user": {
      "address": "<string>",
      "avatarUrl": "<string>",
      "billingType": 123,
      "birthday": "<string>",
      "city": "<string>",
      "companyName": "<string>",
      "countryCode": "<string>",
      "countryName": "<string>",
      "createTime": 123,
      "creditAccounts": [
        {
          "amount": 123,
          "createTime": 123,
          "currency": "<string>",
          "currencyAmount": 123,
          "exchangeRate": 123,
          "id": 123,
          "payoutEnable": 123,
          "rechargeEnable": 123,
          "totalDecrementAmount": 123,
          "totalIncrementAmount": 123,
          "type": 123,
          "userId": 123
        }
      ],
      "custom": "<string>",
      "email": "<string>",
      "externalUserId": "<string>",
      "facebook": "<string>",
      "firstName": "<string>",
      "gateway": {
        "IsSetupFinished": true,
        "archive": true,
        "autoChargeEnabled": true,
        "bank": {
          "accountHolder": "<string>",
          "address": "<string>",
          "ABARoutingNumber": "<string>",
          "CNAPS": "<string>",
          "Remarks": "<string>",
          "accountNumber": "<string>",
          "bankName": "<string>",
          "bic": "<string>",
          "bsbCode": "<string>",
          "iban": "<string>",
          "swiftCode": "<string>"
        },
        "companyIssuer": {
          "issueAddress": "<string>",
          "issueCompanyName": "<string>",
          "issueLogo": "<string>",
          "issueRegNumber": "<string>",
          "issueVatNumber": "<string>"
        },
        "countryConfig": {},
        "createTime": 123,
        "currency": "<string>",
        "currencyExchange": [
          {
            "exchange_rate": 123,
            "from_currency": "<string>",
            "to_currency": "<string>"
          }
        ],
        "currencyExchangeEnabled": true,
        "defaultGatewayPaymentType": {
          "autoCharge": true,
          "category": "<string>",
          "countryName": "<string>",
          "name": "<string>",
          "paymentType": "<string>",
          "supportCurrencies": [
            "<string>"
          ]
        },
        "description": "<string>",
        "displayName": "<string>",
        "gatewayIcons": [
          "<string>"
        ],
        "gatewayId": 123,
        "gatewayKey": "<string>",
        "gatewayLogo": "<string>",
        "gatewayName": "<string>",
        "gatewayPaymentTypes": [
          {
            "autoCharge": true,
            "category": "<string>",
            "countryName": "<string>",
            "name": "<string>",
            "paymentType": "<string>",
            "supportCurrencies": [
              "<string>"
            ]
          }
        ],
        "gatewaySecret": "<string>",
        "gatewayType": 123,
        "gatewayWebhookIntegrationLink": "<string>",
        "gatewayWebsiteLink": "<string>",
        "isDefault": true,
        "metadata": {},
        "minimumAmount": 123,
        "name": "<string>",
        "privateSecretName": "<string>",
        "publicKeyName": "<string>",
        "setupGatewayPaymentTypes": [
          {
            "autoCharge": true,
            "category": "<string>",
            "countryName": "<string>",
            "name": "<string>",
            "paymentType": "<string>",
            "supportCurrencies": [
              "<string>"
            ]
          }
        ],
        "sort": 123,
        "subGateway": "<string>",
        "subGatewayName": "<string>",
        "webhookEndpointUrl": "<string>",
        "webhookSecret": "<string>"
      },
      "gatewayId": 123,
      "gatewayPaymentType": "<string>",
      "gender": "<string>",
      "id": 123,
      "isRisk": 123,
      "isSpecial": 123,
      "language": "<string>",
      "lastLoginAt": 123,
      "lastName": "<string>",
      "linkedIn": "<string>",
      "merchantId": 123,
      "metadata": {},
      "mobile": "<string>",
      "otherSocialInfo": "<string>",
      "paymentMethod": "<string>",
      "phone": "<string>",
      "planId": 123,
      "promoCreditAccounts": [
        {
          "amount": 123,
          "createTime": 123,
          "currency": "<string>",
          "currencyAmount": 123,
          "exchangeRate": 123,
          "id": 123,
          "payoutEnable": 123,
          "rechargeEnable": 123,
          "totalDecrementAmount": 123,
          "totalIncrementAmount": 123,
          "type": 123,
          "userId": 123
        }
      ],
      "recurringAmount": 123,
      "registrationNumber": "<string>",
      "school": "<string>",
      "state": "<string>",
      "status": 123,
      "subscriptionId": "<string>",
      "subscriptionName": "<string>",
      "subscriptionStatus": 123,
      "taxPercentage": 123,
      "telegram": "<string>",
      "tikTok": "<string>",
      "timeZone": "<string>",
      "type": 123,
      "userName": "<string>",
      "vATNumber": "<string>",
      "version": 123,
      "weChat": "<string>",
      "whatsAPP": "<string>",
      "zipCode": "<string>"
    }
  },
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/user/update Update User Profile

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
LinkedInstringNoLinkedIn
addressstringNoBilling Address
citystringNocity
companyNamestringNoCompany Name
countryCodestringNoCountry Code
countryNamestringNoCountry Name
emailstringNoThe email of user, either Email or UserId needed
externalUserIdstringNoExternalUserId
facebookstringNoFacebook
firstNamestringNoFirst name
gatewayIdintegerNoGatewayId
gatewayPaymentTypestringNoGateway Payment Type
languagestringNoUser Language, en|ru|cn|vi|bp
lastNamestringNoLast Name
metadataobjectNoMetadata,Map
otherSocialInfostringNoOther Social Info
paymentMethodIdstringNoPaymentMethodId of gateway, available for card type gateway, payment automatic will enable if set
phonestringNoPhone
registrationNumberstringNoRegistrationNumber
statestringNoState
telegramstringNoTelegram
tiktokstringNoTiktok
typeintegerNoUser type, 1-Individual|2-Business
userIdintegerNoThe id of user, either Email or UserId needed
vATNumberstringNoVAT Number
weChatstringNoWeChat
whatsAppstringNoWhatsApp
zipCodestringNozip_code

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/user/update" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "LinkedIn": "",
  "address": "",
  "city": "",
  "companyName": "",
  "countryCode": "",
  "countryName": "",
  "email": "user@example.com",
  "externalUserId": "id_example",
  "facebook": "",
  "firstName": "",
  "gatewayId": 0,
  "gatewayPaymentType": "",
  "language": "",
  "lastName": "",
  "metadata": {},
  "otherSocialInfo": "",
  "paymentMethodId": "id_example",
  "phone": "",
  "registrationNumber": "",
  "state": "",
  "telegram": "",
  "tiktok": "",
  "type": 0,
  "userId": 0,
  "vATNumber": "",
  "weChat": "",
  "whatsApp": "",
  "zipCode": ""
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/user/update" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "LinkedIn": "",
  "address": "",
  "city": "",
  "companyName": "",
  "countryCode": "",
  "countryName": "",
  "email": "user@example.com",
  "externalUserId": "id_example",
  "facebook": "",
  "firstName": "",
  "gatewayId": 0,
  "gatewayPaymentType": "",
  "language": "",
  "lastName": "",
  "metadata": {},
  "otherSocialInfo": "",
  "paymentMethodId": "id_example",
  "phone": "",
  "registrationNumber": "",
  "state": "",
  "telegram": "",
  "tiktok": "",
  "type": 0,
  "userId": 0,
  "vATNumber": "",
  "weChat": "",
  "whatsApp": "",
  "zipCode": ""
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.
FieldTypeDescription
codeintegerResponse code. 0 = success
dataobjectResponse payload
data.userobject
messagestringHuman-readable message
requestIdstringRequest ID for support

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
LinkedIn
string<*string>

LinkedIn

address
string<*string>

Billing Address

city
string<*string>

city

companyName
string<*string>

Company Name

countryCode
string<*string>

Country Code

countryName
string<*string>

Country Name

email
string<*string>

The email of user, either Email or UserId needed

externalUserId
string<*string>

ExternalUserId

facebook
string<*string>

Facebook

firstName
string<*string>

First name

gatewayId
integer<*int64>

GatewayId

gatewayPaymentType
string<*string>

Gateway Payment Type

language
string<*string>

User Language, en|ru|cn|vi|bp

lastName
string<*string>

Last Name

metadata
object

Metadata,Map

otherSocialInfo
string<*string>

Other Social Info

paymentMethodId
string<*string>

PaymentMethodId of gateway, available for card type gateway, payment automatic will enable if set

phone
string<*string>

Phone

registrationNumber
string<*string>

RegistrationNumber

state
string<string>

State

telegram
string<*string>

Telegram

tiktok
string<*string>

Tiktok

type
integer<*int64>

User type, 1-Individual|2-Business

userId
integer<*int64>

The id of user, either Email or UserId needed

vATNumber
string<*string>

VAT Number

weChat
string<*string>

WeChat

whatsApp
string<*string>

WhatsApp

zipCode
string<*string>

zip_code

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>